# Class CounterConfig

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.modifiers.CounterConfig

All Implemented Interfaces:
  `Serializable, Cloneable, LoopIterationListener, NoThreadClone, Searchable, TestElement`

public class CounterConfig extends AbstractTestElement implements Serializable, LoopIterationListener, NoThreadClone
Provides a counter per-thread(user) or per-thread group.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`CounterConfig()`

## Method Summary

Modifier and Type
Method
Description
`long`
`getEnd()`
`String`
`getEndAsString()`
`String`
`getFormat()`
`long`
`getIncrement()`
`String`
`getIncrementAsString()`
`long`
`getStart()`
`String`
`getStartAsString()`
`String`
`getVarName()`
`boolean`
`isPerUser()`
`boolean`
`isResetOnThreadGroupIteration()`
`void`
`iterationStart(LoopIterationEvent event)`
Called when a loop iteration is about to start.
`void`
`setEnd(long end)`
`void`
`setEnd(String end)`
`void`
`setFormat(String format)`
`void`
`setIncrement(long inc)`
`void`
`setIncrement(String incr)`
`void`
`setIsPerUser(boolean isPer)`
`void`
`setResetOnThreadGroupIteration(boolean value)`
`void`
`setStart(long start)`
`void`
`setStart(String start)`
`void`
`setVarName(String name)`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CounterConfig

public CounterConfig()

## Method Details

### iterationStart

public void iterationStart(LoopIterationEvent event)
Description copied from interface: `LoopIterationListener`
Called when a loop iteration is about to start.

Specified by:
  `iterationStart` in interface `LoopIterationListener`
Parameters:
  `event` - the event
See Also:
  - `LoopIterationListener.iterationStart(LoopIterationEvent)`

### setStart

public void setStart(long start)

### setStart

public void setStart(String start)

### getStart

public long getStart()

### getStartAsString

public String getStartAsString()

### setEnd

public void setEnd(long end)

### setEnd

public void setEnd(String end)

### setResetOnThreadGroupIteration

public void setResetOnThreadGroupIteration(boolean value)

Parameters:
  `value` - boolean indicating if counter must be reset on Thread Group Iteration

### isResetOnThreadGroupIteration

public boolean isResetOnThreadGroupIteration()

Returns:
  true if counter must be reset on Thread Group Iteration

### getEnd

public long getEnd()

Returns:
  counter upper limit (default Long.MAX_VALUE)

### getEndAsString

public String getEndAsString()

### setIncrement

public void setIncrement(long inc)

### setIncrement

public void setIncrement(String incr)

### getIncrement

public long getIncrement()

### getIncrementAsString

public String getIncrementAsString()

### setIsPerUser

public void setIsPerUser(boolean isPer)

### isPerUser

public boolean isPerUser()

### setVarName

public void setVarName(String name)

### getVarName

public String getVarName()

### setFormat

public void setFormat(String format)

### getFormat

public String getFormat()